<!doctype html>
<html lang="en">
<head>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <link rel="stylesheet" type="text/css" href="//cdn.datatables.net/1.10.16/css/jquery.dataTables.css">
    <script type="text/javascript" charset="utf8" src="//cdn.datatables.net/1.10.16/js/jquery.dataTables.js"></script>
    <script src="js/main.js" type="text/javascript"></script>
    <title>IOT LED</title>
</head>
<body>
<div id="container">
    <style>
        table {
            width:100%;
        }
        table, th, td {
            border: 1px solid #cdcdcd;
            border-collapse: collapse;
        }
        th, td {
            padding: 5px;
            text-align: left;
        }
    </style>
    <table id="grid" class="display" cellspacing="0" width="100%">
        <thead>
        <tr>
            <th>Citizenship</th>
            <th>Destination</th>
            <th>Desc.</th>
            <th>Note</th>
            <th>Doc. Identifier</th>
            <th>Doc. Type</th>
            <th>Doc. ID</th>
            <th>Entry Type</th>
            <th>NVNR</th>
            <th>Update at</th>
            <th>Visa type</th>
        </tr>
        </thead>
    </table>
</div>
    <form method="post" action="downloadPdf.php">
        <textarea name="content" class="results" style="display: none;">
        </textarea>
        <input type="submit" name="submit" value="Generate Pdf"/>
    </form>

<script>

    setTimeout(function(){
        var grid = document.getElementById("container").innerHTML;
        document.querySelector('.results').innerHTML = grid;

    }, 2000);

    visaData = new loadData(
            {
                'url': 'https://rdev.viselio.com/api/requirements/712cbe9eef794af596ff9204c4d639c1/181/212/1/1/1/en',
                'grid': '#grid'
            });
</script>
</body>
</html>